.custom-product-images {
	display: flex;
	flex-direction: column;
	gap: 10px;
	width: 100%;
}
.custom-product-images figure {
    margin: 0;
}
.image-row {
	display: flex;
    justify-content: center;
	gap: 20px;
}
.image-large img, .image-small img {
    aspect-ratio: 1 / 1;
    overflow: hidden;
	border-radius: 0;
	cursor: zoom-in;
	width: 100%;
}
@media (max-width: 768px) {
	.image-row {
		flex-direction: column;
	}
}
.pswp__bg {
	background: #F5F5F5;
}
.pswp__container {
	padding-bottom:70px;
}
.pswp__thumbnails {
	position: absolute;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
	display: flex;
	gap: 8px;
	padding: 8px;
	z-index: 1000;
	background-color: #fff;
}
.pswp__thumbnails img {
	width: 80px;
	height: 80px;
	object-fit: cover;
	cursor: pointer;
	transition: all 0.25s ease;
}
.pswp__thumbnails img.active {
	opacity: 1;
	position: relative;
}
.pswp__thumbnails .thumb-wrapper {
	position: relative;
}
.pswp__thumbnails .thumb-wrapper:after {
	height:0;
	transition: all 0.2s ease;
	content: '';
	position: absolute;
	left: 0;
	right: 0;
	bottom: 0;
	width: 100%;
	background-color: #000;
}
.pswp__thumbnails .thumb-wrapper.active::after, .pswp__thumbnails .thumb-wrapper:hover:after {
	height: 4px;
}
button.pswp__button--arrow--right::before, button.pswp__button--arrow--left::before {
	position: relative;
	display: block;
	top: 0;
	right: 0;
	left:0;
}
/* --- Prev/Next buttons styling --- */
button.pswp__button.pswp__button--arrow--left, button.pswp__button.pswp__button--arrow--right, .pswp__button.pswp__button--close {
	width: 50px;
	height: 50px;
	transition: background 0.2s;
	position: absolute;
	border: 1px solid #000;
	border-radius: 0;
	display: flex;
	align-items: center;
	justify-content: center;
	background-color: #fff !important;
}
button.pswp__button.pswp__button--arrow--left {
    left:30px;
}
button.pswp__button.pswp__button--arrow--right {
    right:30px;
}
button.pswp__button.pswp__button--arrow--left:hover, button.pswp__button.pswp__button--arrow--right:hover {
	background: transparent !important;
	background-color: transparent !important;
}

.pswp__ui--fit .pswp__caption, .pswp__ui--fit .pswp__top-bar {
    background-color: transparent;
}

.pswp__button.pswp__button--close {
    top: 30px;
    right: 30px
}
.pswp__button.pswp__button--close:before{
    content: "";
    background-image: url(../../../img/close.svg) !important;
    background-repeat:no-repeat;
    position: relative;
	display: block;
	top: 0;
	right: 0;
	left:0;
	width: 15.71px;
	height: 15.71px;
}

.pswp__button--arrow--left:before, .pswp__button--arrow--right:before {
    background: none;

    background-size: !important;
    height: 16.71px;
    width: 16.71px;
    background-position: center !important;
}

.pswp__button--arrow--left:before {
    background-image: url(../../../img/pijl-links.svg) !important;
}
.pswp__button--arrow--right:before {
    background-image: url(../../../img/pijl-rechts.svg) !important;
}
@media (max-width: 600px) {
	.pswp__thumbnails {
		display: none;
	}
}


/* Desktop layout */
.desktop-gallery {
  display: flex;
}

.desktop-gallery .image-large {
  margin-bottom: 10px;
}

.desktop-gallery .image-row {
    display: flex;
    gap: 10px;
}

.desktop-gallery .image-small {
    width: 50%;
    flex: 1;
}

/* Hide mobile gallery by default */
.mobile-gallery {
  display: none;
}



/* Toon meer / Toon minder */
.desktop-gallery .gallery-hidden-row {
    display: none;
}

.gallery-toggle-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    margin: -33px auto 0;
    padding: 10px 20px;
    background: #fff;
    border: 1px solid #000;
    cursor: pointer;
    letter-spacing: 0.02em;
    width: auto;
    transition: all 0.2s;
    font-weight: 600;
    font-size: 18px;
}

.gallery-toggle-btn:hover {
    border-color: #929396;
}

/* Switch at mobile breakpoint */
@media (max-width: 768px) {
  .desktop-gallery {
    display: none;
  }
  .mobile-gallery {
    display: block;
      width: 100%;
  }
  
      /* Target only your custom Swiper gallery */
    .mobile-gallery {
      position: relative;
      max-width: 778px; /* or whatever fits your design */
      margin: 0 auto; /* center horizontally */
      width: 100%; /* ensure responsive scaling */
      overflow: hidden;
    }
    
     .swiper-slide {
     height: auto;
    }
    
    .mobile-gallery .swiper-slide img {
      display: block;
      width: 100%;
      height: auto;
      position: relative;
      width: 100%;
      aspect-ratio: 1 / 1;
      object-fit: cover;
    }
    
    /* Navigation buttons styling */
    .pmobile-gallery .swiper-button-prev,
    .mobile-gallery .swiper-button-next {
      color: #333;
      transition: opacity 0.2s;
    }
    .mobile-gallery .swiper-button-prev:hover,
    .mobile-gallery .swiper-button-next:hover {
      opacity: 0.7;
    }
    
    /* Pagination dots styling */
    .mobile-gallery .swiper-pagination {
      bottom: 10px;
    }
    .mobile-gallery .swiper-pagination-bullet-active {
      background-color: #333;
    }
    .swiper-pagination {
        transform: translate(-50%, 0);
        left: 50%;
    }
    .swiper-pagination-clickable .swiper-pagination-bullet {
        width: 23px;
        height: 2px;
        border-radius: 0;
        position: relative;
    }
    .mobile-gallery .swiper-pagination-bullet-active {
        background-color:#000;
    }
    .mobile-gallery .swiper-pagination-bullet-active::before {
        content: "";
        height: 4px;
        background-color: #000;
        position: absolute;
        width: 100%;
        display: block;
        top: -2px;

    }

}

